package com.ssj.bean.kmt.kmt.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author yanghuan
 * @title: KmtExerciseLibPriority
 * @projectName ssj
 * @description: TODO
 * @date 2020/6/4 10:58
 */
@Entity
@Table(name="kmt_exercise_lib_priority")
public class KmtExerciseLibPriority extends BaseEntity {

    private static final long serialVersionUID = -8354248318757576835L;

    private String libId;

    private int recogeNum;

    private int unrecogeNum;

    private int totalNum;

    private int unpurchaNum;

    private String recogeRate;

    private String subject;

    public String getLibId() {
        return libId;
    }

    public void setLibId(String libId) {
        this.libId = libId;
    }

    public int getRecogeNum() {
        return recogeNum;
    }

    public void setRecogeNum(int recogeNum) {
        this.recogeNum = recogeNum;
    }

    public int getUnrecogeNum() {
        return unrecogeNum;
    }

    public void setUnrecogeNum(int unrecogeNum) {
        this.unrecogeNum = unrecogeNum;
    }

    public int getTotalNum() {
        return totalNum;
    }

    public void setTotalNum(int totalNum) {
        this.totalNum = totalNum;
    }

    public int getUnpurchaNum() {
        return unpurchaNum;
    }

    public void setUnpurchaNum(int unpurchaNum) {
        this.unpurchaNum = unpurchaNum;
    }

    public String getRecogeRate() {
        return recogeRate;
    }

    public void setRecogeRate(String recogeRate) {
        this.recogeRate = recogeRate;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }
}
